package com.ruoyi.voluntary.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.voluntary.mapper.SelectedGroupMapper;
import com.ruoyi.voluntary.domain.SelectedGroup;
import com.ruoyi.voluntary.service.ISelectedGroupService;

/**
 * 科目组合Service业务层处理
 * 
 * @author voluntary
 * @date 2023-03-17
 */
@Service
public class SelectedGroupServiceImpl implements ISelectedGroupService {
    @Autowired
    private SelectedGroupMapper selectedGroupMapper;

    /**
     * 查询科目组合
     * 
     * @param groupId 科目组合主键
     * @return 科目组合
     */
    @Override
    public SelectedGroup selectSelectedGroupByGroupId(String groupId) {
        return selectedGroupMapper.selectSelectedGroupByGroupId(groupId);
    }

    /**
     * 查询科目组合列表
     * 
     * @param selectedGroup 科目组合
     * @return 科目组合
     */
    @Override
    public List<SelectedGroup> selectSelectedGroupList(SelectedGroup selectedGroup) {
        return selectedGroupMapper.selectSelectedGroupList(selectedGroup);
    }

    /**
     * 新增科目组合
     * 
     * @param selectedGroup 科目组合
     * @return 结果
     */
    @Override
    public int insertSelectedGroup(SelectedGroup selectedGroup) {
        return selectedGroupMapper.insertSelectedGroup(selectedGroup);
    }

    /**
     * 修改科目组合
     * 
     * @param selectedGroup 科目组合
     * @return 结果
     */
    @Override
    public int updateSelectedGroup(SelectedGroup selectedGroup) {
        return selectedGroupMapper.updateSelectedGroup(selectedGroup);
    }

    /**
     * 批量删除科目组合
     * 
     * @param groupIds 需要删除的科目组合主键
     * @return 结果
     */
    @Override
    public int deleteSelectedGroupByGroupIds(String[] groupIds) {
        return selectedGroupMapper.deleteSelectedGroupByGroupIds(groupIds);
    }

    /**
     * 删除科目组合信息
     * 
     * @param groupId 科目组合主键
     * @return 结果
     */
    @Override
    public int deleteSelectedGroupByGroupId(String groupId) {
        return selectedGroupMapper.deleteSelectedGroupByGroupId(groupId);
    }
}
